Index: CKEditor/trunk/_source/lang/af.js
===================================================================
--- CKEditor/trunk/_source/lang/af.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/af.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Hoogte moet \'n getal wees',
 		invalidWidth	: 'Breedte moet \'n getal wees.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'الارتفاع يجب أن يكون عدداً.',
 		invalidWidth	: 'العرض يجب أن يكون عدداً.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/bg.js
===================================================================
--- CKEditor/trunk/_source/lang/bg.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/bg.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/bn.js
===================================================================
--- CKEditor/trunk/_source/lang/bn.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/bn.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/bs.js
===================================================================
--- CKEditor/trunk/_source/lang/bs.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/bs.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ca.js
===================================================================
--- CKEditor/trunk/_source/lang/ca.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ca.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'L\'alçada ha de ser un nombre.',
 		invalidWidth	: 'L\'amplada ha de ser un nombre.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/lang/cs.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/cs.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Zadaná výška musí být číslo.',
 		invalidWidth	: 'Zadaná šířka musí být číslo.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/cy.js
===================================================================
--- CKEditor/trunk/_source/lang/cy.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/cy.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Rhaid i\'r Uchder fod yn rhif.',
 		invalidWidth	: 'Rhaid i\'r Lled fod yn rhif.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/da.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Højde skal være et tal.',
 		invalidWidth	: 'Bredde skal være et tal.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/de.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Höhe muss eine Zahl sein.',
 		invalidWidth	: 'Breite muss eine Zahl sein.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/el.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/en-au.js
===================================================================
--- CKEditor/trunk/_source/lang/en-au.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/en-au.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/en-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/en-ca.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/en-ca.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/en-gb.js
===================================================================
--- CKEditor/trunk/_source/lang/en-gb.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/en-gb.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.',
 		invalidWidth	: 'Width must be a number.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/en.js
===================================================================
--- CKEditor/trunk/_source/lang/en.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/en.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.',
 		invalidWidth	: 'Width must be a number.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.',
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.',
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).',
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).',
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/eo.js
===================================================================
--- CKEditor/trunk/_source/lang/eo.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/eo.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/es.js
===================================================================
--- CKEditor/trunk/_source/lang/es.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/es.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Altura debe ser un número.',
 		invalidWidth	: 'Anchura debe ser un número.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/et.js
===================================================================
--- CKEditor/trunk/_source/lang/et.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/et.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/eu.js
===================================================================
--- CKEditor/trunk/_source/lang/eu.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/eu.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Altuera zenbaki bat izan behar da.',
 		invalidWidth	: 'Zabalera zenbaki bat izan behar da.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Korkeuden täytyy olla numero.',
 		invalidWidth	: 'Leveyden täytyy olla numero.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Hædd má vera eitt tal.',
 		invalidWidth	: 'Breidd má vera eitt tal.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/fr-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/fr-ca.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/fr-ca.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'La hauteur doit être un nombre.',
 		invalidWidth	: 'La largeur doit être un nombre.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/gl.js
===================================================================
--- CKEditor/trunk/_source/lang/gl.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/gl.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/hi.js
===================================================================
--- CKEditor/trunk/_source/lang/hi.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/hi.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/hr.js
===================================================================
--- CKEditor/trunk/_source/lang/hr.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/hr.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Visina mora biti broj.',
 		invalidWidth	: 'Širina mora biti broj.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/hu.js
===================================================================
--- CKEditor/trunk/_source/lang/hu.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/hu.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'A magasság mezőbe csak számokat írhat.',
 		invalidWidth	: 'A szélesség mezőbe csak számokat írhat.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/is.js
===================================================================
--- CKEditor/trunk/_source/lang/is.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/is.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/it.js
===================================================================
--- CKEditor/trunk/_source/lang/it.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/it.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'L\'altezza dev\'essere un numero',
 		invalidWidth	: 'La Larghezza dev\'essere un numero',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ja.js
===================================================================
--- CKEditor/trunk/_source/lang/ja.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ja.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: '高さは数値で入力してください。',
 		invalidWidth	: '幅は数値で入力してください。',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ka.js
===================================================================
--- CKEditor/trunk/_source/lang/ka.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ka.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'სიმაღლე რიცხვით უნდა იყოს წარმოდგენილი.',
 		invalidWidth	: 'სიგანე რიცხვით უნდა იყოს წარმოდგენილი.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/km.js
===================================================================
--- CKEditor/trunk/_source/lang/km.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/km.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ko.js
===================================================================
--- CKEditor/trunk/_source/lang/ko.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ko.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/lt.js
===================================================================
--- CKEditor/trunk/_source/lang/lt.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/lt.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/lv.js
===================================================================
--- CKEditor/trunk/_source/lang/lv.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/lv.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/mn.js
===================================================================
--- CKEditor/trunk/_source/lang/mn.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/mn.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ms.js
===================================================================
--- CKEditor/trunk/_source/lang/ms.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ms.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/lang/nb.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/nb.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Høyde må være et tall.',
 		invalidWidth	: 'Bredde må være et tall.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/nl.js
===================================================================
--- CKEditor/trunk/_source/lang/nl.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/nl.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'De hoogte moet een getal zijn.',
 		invalidWidth	: 'De breedte moet een getal zijn.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/no.js
===================================================================
--- CKEditor/trunk/_source/lang/no.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/no.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Høyde må være et tall.',
 		invalidWidth	: 'Bredde må være et tall.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/pt-br.js
===================================================================
--- CKEditor/trunk/_source/lang/pt-br.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/pt-br.js	(revision 7011)
@@ -121,6 +121,6 @@
 		invalidHeight	: 'A altura tem que ser um número',
 		invalidWidth	: 'A largura tem que ser um número.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/pt.js
===================================================================
--- CKEditor/trunk/_source/lang/pt.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/pt.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ro.js
===================================================================
--- CKEditor/trunk/_source/lang/ro.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ro.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/ru.js
===================================================================
--- CKEditor/trunk/_source/lang/ru.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/ru.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Высота задается числом.',
 		invalidWidth	: 'Ширина задается числом.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/sk.js
===================================================================
--- CKEditor/trunk/_source/lang/sk.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/sk.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Výška musí byť číslo.',
 		invalidWidth	: 'Šírka musí byť číslo.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/sl.js
===================================================================
--- CKEditor/trunk/_source/lang/sl.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/sl.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Višina mora biti število.',
 		invalidWidth	: 'Širina mora biti število.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/sr-latn.js
===================================================================
--- CKEditor/trunk/_source/lang/sr-latn.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/sr-latn.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/sr.js
===================================================================
--- CKEditor/trunk/_source/lang/sr.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/sr.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/sv.js
===================================================================
--- CKEditor/trunk/_source/lang/sv.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/sv.js	(revision 7011)
@@ -121,6 +121,6 @@
 		invalidHeight	: 'Höjd måste vara ett nummer.',
 		invalidWidth	: 'Bredd måste vara ett nummer.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/th.js
===================================================================
--- CKEditor/trunk/_source/lang/th.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/th.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/tr.js
===================================================================
--- CKEditor/trunk/_source/lang/tr.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/tr.js	(revision 7011)
@@ -121,6 +121,6 @@
 		invalidHeight	: 'Yükseklik sayı olmalıdır.',
 		invalidWidth	: 'Genişlik bir sayı olmalıdır.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/uk.js
===================================================================
--- CKEditor/trunk/_source/lang/uk.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/uk.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Висота повинна бути цілим числом.',
 		invalidWidth	: 'Ширина повинна бути цілим числом.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/vi.js
===================================================================
--- CKEditor/trunk/_source/lang/vi.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/vi.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: 'Chiều cao phải là số nguyên.',
 		invalidWidth	: 'Chiều rộng phải là số nguyên.',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: '高度必须为数字格式',
 		invalidWidth	: '宽度必须为数字格式',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/lang/zh.js
===================================================================
--- CKEditor/trunk/_source/lang/zh.js	(revision 7010)
+++ CKEditor/trunk/_source/lang/zh.js	(revision 7011)
@@ -122,6 +122,6 @@
 		invalidHeight	: '高度必須為數字格式',
 		invalidWidth	: '寬度必須為數字格式',
-		invalidCssLength	: 'Specified value must be a valid CSS length unit.', // MISSING
-		invalidHtmlLength	: 'Specified value must be either a number in pixels or a percentage value.', // MISSING
+		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
 
 		// Put the voice-only part of the label in the span.
Index: CKEditor/trunk/_source/plugins/flash/dialogs/flash.js
===================================================================
--- CKEditor/trunk/_source/plugins/flash/dialogs/flash.js	(revision 7010)
+++ CKEditor/trunk/_source/plugins/flash/dialogs/flash.js	(revision 7011)
@@ -370,5 +370,5 @@
 									style : 'width:95px',
 									label : editor.lang.common.width,
-									validate : CKEDITOR.dialog.validate.htmlLength( editor.lang.common.invalidHtmlLength ),
+									validate : CKEDITOR.dialog.validate.htmlLength( editor.lang.common.invalidHtmlLength.replace( '%1', editor.lang.common.width ) ),
 									setup : function( objectNode, embedNode, paramMap, fakeImage )
 									{
@@ -388,5 +388,5 @@
 									style : 'width:95px',
 									label : editor.lang.common.height,
-									validate : CKEDITOR.dialog.validate.htmlLength( editor.lang.common.invalidHtmlLength ),
+									validate : CKEDITOR.dialog.validate.htmlLength( editor.lang.common.invalidHtmlLength.replace( '%1', editor.lang.common.height ) ),
 									setup : function( objectNode, embedNode, paramMap, fakeImage )
 									{
Index: CKEditor/trunk/_source/plugins/iframe/dialogs/iframe.js
===================================================================
--- CKEditor/trunk/_source/plugins/iframe/dialogs/iframe.js	(revision 7010)
+++ CKEditor/trunk/_source/plugins/iframe/dialogs/iframe.js	(revision 7011)
@@ -153,5 +153,5 @@
 									labelLayout : 'vertical',
 									label : commonLang.width,
-									validate : CKEDITOR.dialog.validate.cssLength( editor.lang.common.invalidCssLength ),
+									validate : CKEDITOR.dialog.validate.htmlLength( commonLang.invalidHtmlLength.replace( '%1', commonLang.width ) ),
 									getValue : defaultToPixel,
 									setup : function( iframeNode, fakeImage )
@@ -179,5 +179,5 @@
 									labelLayout : 'vertical',
 									label : commonLang.height,
-									validate : CKEDITOR.dialog.validate.cssLength( editor.lang.common.invalidCssLength ),
+									validate : CKEDITOR.dialog.validate.htmlLength( commonLang.invalidHtmlLength.replace( '%1', commonLang.height ) ),
 									getValue : defaultToPixel,
 									setup : function( iframeNode, fakeImage )
Index: CKEditor/trunk/_source/plugins/table/dialogs/table.js
===================================================================
--- CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 7010)
+++ CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 7011)
@@ -412,5 +412,5 @@
 													'default' : 500,
 													getValue : defaultToPixel,
-													validate : CKEDITOR.dialog.validate.cssLength( editor.lang.common.invalidCssLength ),
+													validate : CKEDITOR.dialog.validate.cssLength( editor.lang.common.invalidCssLength.replace( '%1', editor.lang.common.width ) ),
 													onChange : function()
 													{
@@ -439,5 +439,5 @@
 													'default' : '',
 													getValue : defaultToPixel,
-													validate : CKEDITOR.dialog.validate.cssLength( editor.lang.common.invalidCssLength ),
+													validate : CKEDITOR.dialog.validate.cssLength( editor.lang.common.invalidCssLength.replace( '%1', editor.lang.common.height ) ),
 													onChange : function()
 													{
